#ifndef OF_DIRLIST
#define OF_DIRLIST

/************************************************************
																				
OpenFrameworks Library												
																			
File: 			ofDirList.h															
Description: 	List the contents of a directory
Notes:			Now takes string arguements and starts at the data/ folder level
																				
Last Modified: 2007.07.18											
Creator: Theodore Watson									

************************************************************/

#include "ofMain.h"
#include <dirent.h>

#ifdef TARGET_WIN32
	#include <stdio.h>
	#include <iostream>
	#include <string.h>
#endif

#define OF_DL_MAX_RESULTS 200
#define OF_DL_FILELEN 512
#define OF_DL_MAX_EXTS 100
#define OF_DL_EXT_SIZE 64

class ofDirList{
	
	public:
		ofDirList();
		~ofDirList();
		void setVerbose(bool _verbose);		
		char * getName(int pos);									// returns requested filename
		char * getPath(int pos);									// returns full path to file
		void reset();												// resets extension list
		bool allowExt(string ext);									// returns true if ext is accepted
		int listDir(string directory);								// returns number of files found

	private:
		char ** allowedFileExt;
		char ** nameArray;
		char ** pathArray;		
		int 	allowCount;
		int		count;
		bool	verbose;
};

#endif